CURLINFO_SSL_VERIFYRESULT(3)

NAME
CURLINFO_SSL_VERIFYRESULT - result of the certificate verification

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_SSL_VERIFYRESULT,
                           long *result);

DESCRIPTION
Pass a pointer to a long to receive the result of the server SSL certificate verification that was requested (using the CURLOPT_SSL_VERIFYPEER(3) option). 0 is a positive result. Non-zero is an error.

PROTOCOLS
This functionality affects all TLS based protocols: HTTPS, FTPS, IMAPS, POP3S, SMTPS etc. This option works only with the following TLS backends: GnuTLS and OpenSSL

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode result;
    long verifyresult;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
    result = curl_easy_perform(curl);
    if(result != CURLE_OK) {
      printf("error: %s\n", curl_easy_strerror(result));
      curl_easy_cleanup(curl);
      return 1;
    }
    result = curl_easy_getinfo(curl, CURLINFO_SSL_VERIFYRESULT,
                               &verifyresult);
    if(result == CURLE_OK) {
      printf("The peer verification said %s\n",
             (verifyresult ? "bad" : "fine"));
    }
    curl_easy_cleanup(curl);
  }
}

AVAILABILITY
Added in curl 7.5

RETURN VALUE
curl_easy_getinfo(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLINFO_PROXY_SSL_VERIFYRESULT(3), curl_easy_getinfo(3), curl_easy_setopt(3)